IF OBJECT_ID('dbo.vw_fco_integrada_rt05') IS NOT NULL
    DROP VIEW dbo.vw_fco_integrada_rt05
GO
CREATE VIEW dbo.vw_fco_integrada_rt05
AS
/*************************************************************************/
-- Modulo Fiscal Colombiano 2.0 ADAM V3
-- Descripcion: Archivo Plano Planilla Integrada Registro Tipo 5
-- Autor: Juan Carlos Leguizamon
-- Fecha: Diciembre 2005
-- Revisiones:
-- JCL 25-AGO-07 Inclusión del campo Tipo de Planilla
/*************************************************************************/
SELECT
    compania, anio, mes, sucursal, secuencia, tipo_planilla, 
    registro =
    '05' + RIGHT('00000' + RTRIM(secuencia), 5) + CONVERT(char(6), cod_ARP) +
    RIGHT('0000000000000000' + nit, 16) + dv + 
    RIGHT('0000000000' + RTRIM(suma_aportes), 10) +
    CONVERT(char(15), nro_aut) +
    RIGHT('0000000000' + RTRIM(incapacidades), 10) +
    RIGHT('0000000000' + RTRIM(otros_riesgos), 10) +
    RIGHT('0000000000' + RTRIM(neto_aportes), 10) +
    RIGHT('0000' + RTRIM(dias_mora), 4) +
    RIGHT('0000000000' + RTRIM(int_mora), 10) + 
    RIGHT('0000000000' + RTRIM(subtotal_aportes), 10) + 
    RIGHT('0000000000' + RTRIM(nro_radicacion), 10) + 
    RIGHT('0000000000' + RTRIM(saldo_favor), 10) + 
    RIGHT('0000000000' + RTRIM(total_pagar), 10) +
    RIGHT('0000000000' + RTRIM(FSRP), 10) + 
    RIGHT('000000' + RTRIM(total_afiliados), 6)
FROM fco_integrada_rt05
GO
GRANT SELECT ON dbo.vw_fco_integrada_rt05 TO PUBLIC
GO
